aboutsummaryrefslogtreecommitdiff
path: root/bash/bash_completion.d/ssh.bash
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2018-12-01 02:04:41 +1300
committerTom Ryder <tom@sanctum.geek.nz>2018-12-01 02:04:41 +1300
commitd7f8465d51306c2e1539117e0d7f1dc066bbe1e3 (patch)
treed6bbaed8aeb414b1a79429e48ba8c1b97cb85b58 /bash/bash_completion.d/ssh.bash
parentUse full `if` condition for _text_filename source (diff)
downloaddotfiles-d7f8465d51306c2e1539117e0d7f1dc066bbe1e3.tar.gz
dotfiles-d7f8465d51306c2e1539117e0d7f1dc066bbe1e3.zip
Use full `if` condition for SSH hostname comp src
Diffstat (limited to 'bash/bash_completion.d/ssh.bash')
-rw-r--r--bash/bash_completion.d/ssh.bash3
1 files changed, 2 insertions, 1 deletions
diff --git a/bash/bash_completion.d/ssh.bash b/bash/bash_completion.d/ssh.bash
index 7ec82596..6d327c91 100644
--- a/bash/bash_completion.d/ssh.bash
+++ b/bash/bash_completion.d/ssh.bash
@@ -1,4 +1,5 @@
# Completion for ssh(1) with ssh_config(5) hostnames
-declare -F _ssh_config_hosts >/dev/null ||
+if ! declare -F _ssh_config_hosts >/dev/null ; then
source "$HOME"/.bash_completion.d/_ssh_config_hosts.bash
+fi
complete -F _ssh_config_hosts -o bashdefault -o default ssh